Version: 2.2.2
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define DATE 20010806
%define is_release 1
%define beta %{nil}
%define rel 2
%define buildall 1
Name: kde-i18n
Url: http://www.kde.org
Summary: Internationalization support for KDE
%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{version}-%{beta}.tar.bz2
%else
Release: %{rel}
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{version}.tar.bz2
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{DATE}.tar.bz2
%endif
Prefix: %{_prefix}
Requires: kdelibs, kdebase
BuildPrereq: kdelibs-sound-devel, kdelibs-devel
Epoch: 1
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

%description
Internationalization support for KDE

%package Afrikaans
Summary: Afrikaans language support for KDE
Group: User Interface/Desktops

%description Afrikaans
Afrikaans support for KDE

%package Azerbaijani
Summary: Azerbaijani language support for KDE
Group: User Interface/Desktops

%description Azerbaijani
Azerbaijani language support for KDE

%package Bulgarian
Summary: Bulgarian language support for KDE
Group: User Interface/Desktops

%description Bulgarian
Bulgarian language support for KDE

%package Breton
Summary: Breton language support for KDE
Group: User Interface/Desktops

%description Breton
Breton language support for KDE

%package Catalan
Summary: Catalan language support for KDE
Group: User Interface/Desktops

%description Catalan
Catalan language support for KDE

%package Czech
Summary: Czech language support for KDE
Group: User Interface/Desktops

%description Czech
Czech language support for KDE

%package Cymraeg
Summary: Cymraeg language support for KDE
Group: User Interface/Desktops

%description Cymraeg
Cymraeg language support for KDE

%package Danish
Summary: Danish language support for KDE
Group: User Interface/Desktops

%description Danish
Danish language support for KDE

%package German
Summary: German language support for KDE
Group: User Interface/Desktops

%description German
German language support for KDE

%package Greek
Summary: Greek language support for KDE
Group: User Interface/Desktops

%description Greek
Greek language support for KDE

%package British
Summary: Brisish English support for KDE
Group: User Interface/Desktops

%description British
British English language support for KDE

%package Esperanto
Summary: Esperanto support for KDE
Group: User Interface/Desktops

%description Esperanto
Esperanto support for KDE

%package Spanish
Summary: Spanish language support for KDE
Group: User Interface/Desktops

%description Spanish
Spanish language support for KDE

%package Estonian
Summary: Estonian language support for KDE
Group: User Interface/Desktops

%description Estonian
Estonian language support for KDE

%package Basque
Summary: Basque language support for KDE
Group: User Interface/Desktops

%description Basque
Basque language support for KDE

%package Finnish
Summary: Finnish language support for KDE
Group: User Interface/Desktops

%description Finnish
Finnish language support for KDE

%package French
Summary: French language support for KDE
Group: User Interface/Desktops

%description French
French language support for KDE

%package Irish
Summary: Irish language support for KDE
Group: User Interface/Desktops
Obsoletes: kde-i18n-Gaeilge

%description Irish
Irish language support for KDE

%package Galician
Summary: Galician language support for KDE
Group: User Interface/Desktops

%description Galician
Galician language support for KDE

%package Hebrew
Summary: Hebrew language support for KDE
Group: User Interface/Desktops

%description Hebrew
Hebrew language support for KDE

%package Croatian
Summary: Croatian language support for KDE
Group: User Interface/Desktops

%description Croatian
Croatian language support for KDE

%package Hungarian
Summary: Hungarian language support for KDE
Group: User Interface/Desktops

%description Hungarian
Hungarian language support for KDE

%package Icelandic
Summary: Icelandic language support for KDE
Group: User Interface/Desktops

%description Icelandic
Icelandic language support for KDE

%package Italian
Summary: Italian language support for KDE
Group: User Interface/Desktops

%description Italian
Italian language support for KDE

%package Japanese
Summary: Japanese language support for KDE
Group: User Interface/Desktops

%description Japanese
Japanese language support for KDE

%package Korean
Summary: Korean language support for KDE
Group: User Interface/Desktops

%description Korean
Korean language support for KDE

%package Lithuanian
Summary: Lithuanian language support for KDE
Group: User Interface/Desktops

%description Lithuanian
Lithuanian language support for KDE

%package Latvian
Summary: Latvian language support for KDE
Group: User Interface/Desktops

%description Latvian
Latvian language support for KDE

%package Maori
Summary: Maori language support for KDE
Group: User Interface/Desktops

%description Maori
Maori language support for KDE

%package Macedonian
Summary: Macedonian language support for KDE
Group: User Interface/Desktops

%description Macedonian
Macedonian language support for KDE

%package Maltese
Summary: Maltese language support for KDE
Group: User Interface/Desktops

%description Maltese
Maltese language support for KDE

%package Dutch
Summary: Dutch language support for KDE
Group: User Interface/Desktops

%description Dutch
Dutch language support for KDE

%package Norwegian
Summary: Norwegian (Bokmaal) language support for KDE
Group: User Interface/Desktops

%description Norwegian
Norwegian (Bokmaal) language support for KDE

%package Norwegian-Nynorsk
Summary: Norwegian (Nynorsk) language support for KDE
Group: User Interface/Desktops

%description Norwegian-Nynorsk
Norwegian (Nynorsk) language support for KDE

%package Occitan
Summary: Occitan language support for KDE
Group: User Interface/Desktops

%description Occitan
Occitan language support for KDE

%package Polish
Summary: Polish language support for KDE
Group: User Interface/Desktops

%description Polish
Polish language support for KDE

%package Portuguese
Summary: Portuguese language support for KDE
Group: User Interface/Desktops

%description Portuguese
Portuguese language support for KDE

%package Brazil
Summary: Brazil Portuguese language support for KDE
Group: User Interface/Desktops

%description Brazil
Brazil Portuguese language support for KDE

%package Romanian
Summary: Romanian language support for KDE
Group: User Interface/Desktops

%description Romanian
Romanian language support for KDE

%package Russian
Summary: Russian language support for KDE
Group: User Interface/Desktops

%description Russian
Russian language support for KDE

%package Slovak
Summary: Slovak language support for KDE
Group: User Interface/Desktops

%description Slovak
Slovak language support for KDE

%package Slovenian
Summary: Slovenian language support for KDE
Group: User Interface/Desktops

%description Slovenian
Slovenian language support for KDE

%package Serbian
Summary: Serbian language support for KDE
Group: User Interface/Desktops

%description Serbian
Serbian language support for KDE

%package Swedish
Summary: Swedish language support for KDE
Group: User Interface/Desktops

%description Swedish
Swedish language support for KDE

%package Tamil
Summary: Tamil language support for KDE
Group: User Interface/Desktops

%description Tamil
Tamil language support for KDE

%package Thai
Summary: Thai language support for KDE
Group: User Interface/Desktops

%description Thai
Thai language support for KDE

%package Turkish
Summary: Turkish language support for KDE
Group: User Interface/Desktops

%description Turkish
Turkish language support for KDE

%package Ukrainian
Summary: Ukrainian language support for KDE
Group: User Interface/Desktops

%description Ukrainian
Ukrainian language support for KDE

%package Walloon
Summary: Walloon language support for KDE
Group: User Interface/Desktops

%description Walloon
Walloon language support for KDE

%package Chinese
Summary: Chinese (Simplified Chinese) language support for KDE
Group: User Interface/Desktops

%description Chinese
Chinese (Simplified Chinese) language support for KDE

%package Chinese-Big5
Summary: Chinese (Big5) language support for KDE
Group: User Interface/Desktops

%description Chinese-Big5
Chinese (Big5) language support for KDE

%package Vietnam
Summary: Vietnamese language support for KDE
Group: User Interface/Desktops

%description Vietnam
Vietnamese language support for KDE

%package Xhosa
Summary: Xhosa (a Bantu language) support for KDE
Group: User Interface/Desktops

%description Xhosa
Xhosa (a Bantu language) support for KDE

%prep
%if %{is_release}
%setup -q
%else
%setup -q -n %{name}
%endif

# remove po files, we have koffice-i18 as separat
for i in az pt_BR en_GB bg cs da nl eo et fr de hu it ja lt mt no no_NY pl pt ro ru sk sl es sv ta tr ; do
  rm -rf $i/messages/koffice
  [ -d $i/docs/kdelibs/api ] && rm -rf $i/docs/kdelibs/api
done

make -f Makefile.cvs

%build
export OLD_PO_FILE_INPUT=yes
export KDEDIR=%{prefix}
export LANG=en_US

./configure --prefix=%{prefix}
make %{?smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/ga \
         $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/common

make DESTDIR=$RPM_BUILD_ROOT install

# fix dangling symlinks
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/sk/common

%if 0
# make install is broken for Irish
install -m644 ga/messages/charset $RPM_BUILD_ROOT%{prefix}/share/locale/ga/
install -m644 ga/messages/entry.desktop $RPM_BUILD_ROOT%{prefix}/share/locale/ga/
install -m644 ga/messages/flag.png $RPM_BUILD_ROOT%{prefix}/share/locale/ga/
%endif

# make symlinks relative
cd $RPM_BUILD_ROOT%{prefix}/share/doc/HTML
for lang in *; do
  if [ -d $lang ]; then
    cd $lang
    for i in */*/*; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../../../common $i
      fi
    done
    for i in */*; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../../common $i
      fi
    done
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../common $i
      fi
    done
    cd ..
  fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%if %{buildall}
%files Afrikaans
%defattr(-,root,root)
%{prefix}/share/locale/af/*
%doc %{prefix}/share/doc/HTML/af/*
%endif

%if %{buildall}
%files Azerbaijani
%defattr(-,root,root)
%{prefix}/share/locale/az/*
%endif

%files Bulgarian
%defattr(-,root,root)
%{prefix}/share/locale/bg/*

%if 0
%files Breton
%defattr(-,root,root)
%{prefix}/share/locale/br/*
%endif

%if 0
%files Catalan
%defattr(-,root,root)
%{prefix}/share/locale/ca/*
%endif

%files Czech
%defattr(-,root,root)
%{prefix}/share/locale/cs/*
%doc %{prefix}/share/doc/HTML/cs/*

%if 0
%files Cymraeg
%defattr(-,root,root)
%{prefix}/share/locale/cy/*
%endif

%files Danish
%defattr(-,root,root)
%{prefix}/share/locale/da/*
%doc %{prefix}/share/doc/HTML/da/*
%{prefix}/share/apps/ktuberling/sounds/da/*

%files German
%defattr(-,root,root)
%{prefix}/share/locale/de/*
%doc %{prefix}/share/doc/HTML/de/*

%if %{buildall}
%files Greek
%defattr(-,root,root)
%{prefix}/share/locale/el/*
#%doc %{prefix}/share/doc/HTML/el/*
%endif

%files British
%defattr(-,root,root)
%{prefix}/share/locale/en_GB/*
%doc %{prefix}/share/doc/HTML/en_GB/*

%if %{buildall}
%files Esperanto
%defattr(-,root,root)
%{prefix}/share/locale/eo/*
%endif

%files Spanish
%defattr(-,root,root)
%{prefix}/share/locale/es/*
%doc %{prefix}/share/doc/HTML/es/*

%files Estonian
%defattr(-,root,root)
%{prefix}/share/locale/et/*
%doc %{prefix}/share/doc/HTML/et/*

%if 0
%files Basque
%defattr(-,root,root)
%{prefix}/share/locale/eu/*
%endif

%files Finnish
%defattr(-,root,root)
%{prefix}/share/locale/fi/*
%doc %{prefix}/share/doc/HTML/fi/*

%files French
%defattr(-,root,root)
%{prefix}/share/locale/fr/*
%doc %{prefix}/share/doc/HTML/fr/*
%{prefix}/share/apps/ktuberling/sounds/fr/*
%{prefix}/share/apps/amor/tips-fr

%if 0
%files Irish
%defattr(-,root,root)
%{prefix}/share/locale/ga/*
%endif

%if 0
%files Galician
%defattr(-,root,root)
%{prefix}/share/locale/gl/*
%endif

%if %{buildall}
%files Hebrew
%defattr(-,root,root)
%{prefix}/share/locale/he/*
%doc %{prefix}/share/doc/HTML/he/*
%endif

%if 0
%files Croatian
%defattr(-,root,root)
%{prefix}/share/locale/hr/*
%doc %{prefix}/share/doc/HTML/hr/*
%endif

%files Hungarian
%defattr(-,root,root)
%{prefix}/share/locale/hu/*
%doc %{prefix}/share/doc/HTML/hu/*

%files Icelandic
%defattr(-,root,root)
%{prefix}/share/locale/is/*

%files Italian
%defattr(-,root,root)
%{prefix}/share/locale/it/*
%doc %{prefix}/share/doc/HTML/it/*

%files Japanese
%defattr(-,root,root)
%{prefix}/share/locale/ja/*
%doc %{prefix}/share/doc/HTML/ja/*

%files Korean
%defattr(-,root,root)
%{prefix}/share/locale/ko/*
%doc %{prefix}/share/doc/HTML/ko/*

%files Lithuanian
%defattr(-,root,root)
%{prefix}/share/locale/lt/*
%doc %{prefix}/share/doc/HTML/lt/*

%if %{buildall}
%files Latvian
%defattr(-,root,root)
%{prefix}/share/locale/lv/*
%endif

%if 0
%files Maori
%defattr(-,root,root)
%{prefix}/share/locale/mi/*
%endif

%if 0
%files Macedonian
%defattr(-,root,root)
%{prefix}/share/locale/mk/*
%endif

%if %{buildall}
%files Maltese
%defattr(-,root,root)
%{prefix}/share/locale/mt/*
%endif

%files Dutch
%defattr(-,root,root)
%{prefix}/share/locale/nl/*
%doc %{prefix}/share/doc/HTML/nl/*
%{prefix}/share/apps/ktuberling/sounds/nl/*

%files Norwegian
%defattr(-,root,root)
%{prefix}/share/locale/no/*
#%doc %{prefix}/share/doc/HTML/no/*

%files Norwegian-Nynorsk
%defattr(-,root,root)
%{prefix}/share/locale/no_NY/*
%doc %{prefix}/share/doc/HTML/no_NY/*

%if 0
%files Occitan
%defattr(-,root,root)
%{prefix}/share/locale/oc/*
%endif

%files Polish
%defattr(-,root,root)
%{prefix}/share/locale/pl/*
%doc %{prefix}/share/doc/HTML/pl/*

%files Portuguese
%defattr(-,root,root)
%{prefix}/share/locale/pt/*
%doc %{prefix}/share/doc/HTML/pt/*

%files Brazil
%defattr(-,root,root)
%{prefix}/share/locale/pt_BR/*
#%doc %{prefix}/share/doc/HTML/pt_BR/*

%files Romanian
%defattr(-,root,root)
%{prefix}/share/locale/ro/*
%doc %{prefix}/share/doc/HTML/ro/*
%{prefix}/share/apps/ktuberling/sounds/ro/*
%{prefix}/share/apps/amor/tips-ro

%files Russian
%defattr(-,root,root)
%{prefix}/share/locale/ru/*
%doc %{prefix}/share/doc/HTML/ru/*

%files Slovak
%defattr(-,root,root)
%{prefix}/share/locale/sk/*
%doc %{prefix}/share/doc/HTML/sk/*

%files Slovenian
%defattr(-,root,root)
%{prefix}/share/locale/sl/*
%doc %{prefix}/share/doc/HTML/sl/*
%{prefix}/share/apps/ktuberling/sounds/sl/*

%if %{buildall}
%files Serbian
%defattr(-,root,root)
%{prefix}/share/locale/sr/*
#%doc %{prefix}/share/doc/HTML/sr/*
%endif

%files Swedish
%defattr(-,root,root)
%{prefix}/share/locale/sv/*
%doc %{prefix}/share/doc/HTML/sv/*

%if %{buildall}
%files Tamil
%defattr(-,root,root)
%{prefix}/share/locale/ta/*
%endif

%if %{buildall}
%files Thai
%defattr(-,root,root)
%{prefix}/share/locale/th/*
%endif

%files Turkish
%defattr(-,root,root)
%{prefix}/share/locale/tr/*
%doc %{prefix}/share/doc/HTML/tr/*

%files Ukrainian
%defattr(-,root,root)
%{prefix}/share/locale/uk/*
%doc %{prefix}/share/doc/HTML/uk/*

%if 0
%files Walloon
%defattr(-,root,root)
%{prefix}/share/locale/wa/*
%endif

%files Chinese
%defattr(-,root,root)
%{prefix}/share/locale/zh_CN.GB2312/*
%doc %{prefix}/share/doc/HTML/zh_CN.GB2312/*

%files Chinese-Big5
%defattr(-,root,root)
%{prefix}/share/locale/zh_TW.Big5/*
%doc %{prefix}/share/doc/HTML/zh_TW.Big5/*

%if 0
%files Vietnam
%defattr(-,root,root)
%{prefix}/share/locale/vi/*
%doc %{prefix}/share/doc/HTML/vi/*
%endif

%if %{buildall}
%files Xhosa
%defattr(-,root,root)
%{prefix}/share/locale/xh/*
%doc %{prefix}/share/doc/HTML/xh/*
%endif

%changelog
* Tue Nov 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-2
- Build all languages
- Add missing files

* Sun Nov 18 2001 Than Ngo <than@redhat.com> 2.2.2-1
- update to 2.2.2

* Tue Oct 09 2001 Than Ngo <than@redhat.com> 2.2-10
- fix rebuild problem against kdelibs-2.2-11 (bug #54476)

* Fri Sep 14 2001 Than Ngo <than@redhat.com> 2.2-9
- remove some broken stuff for building on s390

* Wed Aug 29 2001 Than Ngo <than@redhat.com> 2.2-8
- add some po files from Trond (Bug #35923, #35863)

* Thu Aug 23 2001 Than Ngo <than@redhat.com> 2.2-6
- add missing zh_TW.Big5
- fix file conflicts with koffice-i18n

* Tue Aug 14 2001 Tim Powers <timp@redhat.com>
- exclude Esperanto, Greek, Azerbaijani, Latvian, Maltese, Tamil,
  Serbian packages

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.2-5
- add missing kde-i18n for Norway

* Mon Aug 13 2001 Than Ngo <than@redhat.com> 2.2-4
- fix dangling symlinks (bug #51647)

* Sun Aug 12 2001 Than Ngo <than@redhat.com> 2.2-3
- add korean i18n

* Fri Aug 10 2001 Than Ngo <than@redhat.com> 2.2-2
- many bug fixes

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- fix build dependency (bug #50463)
- fix some broken docbook

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- update
- make symlinks relative

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Nov 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New CVS

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 19 2000 Than Ngo <than@redhat.com>
- put i18n stuff for KDE2 under /usr/lib/kde2,
  fix dependency problem

* Mon Jul 03 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add default owner

* Sat Apr 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial RPM
